﻿#region

using JsMapper.BO.Config;

#endregion

namespace JsMapper.BL.Config
{
    public class JsModelFluentConfig : JsModelConfig
    {
        #region Namespace

        public JsModelFluentConfig UseDefaultNamespace(string ns)
        {
            JsNamespace = ns;
            return this;
        }

        public JsModelFluentConfig AndDefaultNamespace(string ns)
        {
            return UseDefaultNamespace(ns);
        }

        public JsModelFluentConfig WithDefaultNamespace(string ns)
        {
            return UseDefaultNamespace(ns);
        }

        #endregion

        #region Cache

        public JsModelFluentConfig AndCacheOutput()
        {
            return CacheOutput();
        }

        public JsModelFluentConfig CacheOutput()
        {
            return SetCache(true);
        }

        public JsModelFluentConfig SetCache(bool c)
        {
            UseCache = c;
            return this;
        }

        public JsModelFluentConfig AndSetCache(bool c)
        {
            return SetCache(c);
        }

        #endregion

        #region Scan

        public JsModelFluentConfig ScanForViewModels()
        {
            return SetScanForViewModels(true);
        }

        public JsModelFluentConfig AndScanForViewModels()
        {
            return ScanForViewModels();
        }

        public JsModelFluentConfig SetScanForViewModels(bool s)
        {
            ScanJsModels = s;
            return this;
        }

        #endregion
    }
}